# Generated by go2rpm
%ifarch x86_64
%bcond_without check
%endif

# https://github.com/boltdb/bolt
%global goipath         github.com/boltdb/bolt
Version:                1.3.1

%gometa

%global common_description %{expand:
Bolt is a pure Go key/value store inspired by Howard Chu's LMDB project. The
goal of the project is to provide a simple, fast, and reliable database for
projects that don't require a full database server such as Postgres or MySQL.

Since Bolt is meant to be used as such a low-level piece of functionality,
simplicity is key. The API will be small and only focus on getting values and
setting values. That's it.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        11%{?dist}
Summary:        Embedded key/value database for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
# Fix the use of flag.Parse() in init
Patch0:         0001-Fix-flag.Parse-in-init.patch

%description
%{common_description}

%package -n boltdb
Summary:       %{summary}

%description -n boltdb
%{common_description}

This package contains the bolt binary.

%gopkg

%prep
%goprep
%patch0 -p1
cp %{S:1} %{S:2} .

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n boltdb
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Feb 10 01:30:16 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-10
- Add patch to build with Go 1.14

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Apr 24 21:14:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-7
- Update to new macros

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 10 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-5
- Refresh SPEC

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 1.3.1-4.git2f1ce7a
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3.git2f1ce7a

- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 08 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.3.1-2.git2f1ce7a
- Upload glide.lock and glide.yaml

* Sun Mar 18 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.3.1-1.git2f1ce7a
- Update to v1.3.1

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.3.0-0.7.20160818git583e893
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-0.6.git583e893
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-0.5.git583e893
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-0.4.git583e893
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-0.3.git583e893
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 16 2016 Jan Chaloupka <jchaloup@redhat.com> - 1.3.0-0.2.git583e893
- Polish the spec file
  related: #1246207

* Thu Sep 15 2016 jchaloup <jchaloup@redhat.com> - 1.3.0-0.1.git583e893
- Bump to upstream 583e8937c61f1af6513608ccc75c97b6abdf4ff9
  related: #1246207

* Mon Aug 01 2016 jchaloup <jchaloup@redhat.com> - 1.2.1-0.1.gitdfb2120
- Bump to upstream dfb21201d9270c1082d5fb0f07f500311ff72f18
  related: #1246207

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-0.2.gitc6ba97b
- https://fedoraproject.org/wiki/Changes/golang1.7

* Tue Mar 22 2016 jchaloup <jchaloup@redhat.com> - 1.2.0-0.1.gitc6ba97b
- Update to 1.2.0
- Polish spec file
  related: #1246207

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.git0b00eff
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.5.git0b00eff
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 06 2016 Fridolin Pokorny <fpokorny@redhat.com> - 1.0-0.4.git0b00eff
- Bump to upstream 0b00effdd7a8270ebd91c24297e51643e370dd52
  related: #1246207

* Fri Sep 11 2015 jchaloup <jchaloup@redhat.com> - 1.0-0.3.git90fef38
- Bump to upstream 90fef389f98027ca55594edd7dbd6e7f3926fdad
  related: #1246207

* Thu Jul 30 2015 Fridolin Pokorny <fpokorny@redhat.com> - 1.0-0.2.git980670a
- Update of spec file to spec-2.0
  resolves: #1246207

* Thu Jul 23 2015 jchaloup <jchaloup@redhat.com> - 1.0-0.1.git980670a
- Bump to upstream 980670afcebfd86727505b3061d8667195234816
  resolves: #1246207

* Wed Apr 15 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git3b44955
- First package for Fedora
  resolves: #1212099
